--- old/usr/src/Makefile.master	Mon Aug 13 00:30:30 2018
+++ new/usr/src/Makefile.master	Mon Aug 13 00:30:30 2018
@@ -422,6 +422,8 @@
 # C standard.  Keep Studio flags until we get rid of lint.
 CSTD_GNU89=	-xc99=%none
 CSTD_GNU99=	-xc99=%all
+# Made up for cw
+CSTD_GNU11=	-xc11=%all
 CSTD=		$(CSTD_GNU89)
 C99LMODE=	$(CSTD:-xc99%=-Xc99%)
 
--- old/usr/src/lib/libc/amd64/Makefile	Mon Aug 13 00:30:30 2018
+++ new/usr/src/lib/libc/amd64/Makefile	Mon Aug 13 00:30:30 2018
@@ -1075,7 +1075,7 @@
 # Override this top level flag so the compiler builds in its native
 # C99 mode.  This has been enabled to support the complex arithmetic
 # added to libc.
-CSTD=	$(CSTD_GNU99)
+CSTD=	$(CSTD_GNU11)
 
 # libc method of building an archive
 # The "$(GREP) -v ' L '" part is necessary only until
--- old/usr/src/lib/libc/i386/Makefile.com	Mon Aug 13 00:30:30 2018
+++ new/usr/src/lib/libc/i386/Makefile.com	Mon Aug 13 00:30:30 2018
@@ -1135,7 +1135,7 @@
 # Override this top level flag so the compiler builds in its native
 # C99 mode.  This has been enabled to support the complex arithmetic
 # added to libc.
-CSTD=	$(CSTD_GNU99)
+CSTD=	$(CSTD_GNU11)
 
 # libc method of building an archive
 # The "$(GREP) -v ' L '" part is necessary only until
--- old/usr/src/lib/libc/inc/thr_uberdata.h	Mon Aug 13 00:30:31 2018
+++ new/usr/src/lib/libc/inc/thr_uberdata.h	Mon Aug 13 00:30:31 2018
@@ -683,7 +683,6 @@
 #endif
 	tumem_t		ul_tmem;	/* used only by umem */
 	uint_t		ul_ptinherit;	/* pthreads sched inherit value */
-	char		ul_ntoabuf[18];	/* thread-specific inet_ntoa buffer */
 } ulwp_t;
 
 #define	ul_cursig	ul_cp.s.cursig		/* deferred signal number */
--- old/usr/src/lib/libc/port/inet/inet_ntoa.c	Mon Aug 13 00:30:31 2018
+++ new/usr/src/lib/libc/port/inet/inet_ntoa.c	Mon Aug 13 00:30:31 2018
@@ -110,7 +110,6 @@
  */
 
 #include "lint.h"
-#include "thr_uberdata.h"
 
 #include <sys/types.h>
 
@@ -120,7 +119,10 @@
 #include <errno.h>
 #include <stdio.h>
 #include <stdlib.h>
+#include <threads.h>
 
+static thread_local char ntoa_buf[18];
+
 char *
 inet_ntoa_r(struct in_addr in, char b[])
 {
@@ -136,7 +138,7 @@
 char *
 inet_ntoa(struct in_addr in)
 {
-	return (inet_ntoa_r(in, curthread->ul_ntoabuf));
+	return (inet_ntoa_r(in, ntoa_buf));
 }
 
 /*
--- old/usr/src/tools/cw/cw.c	Mon Aug 13 00:30:31 2018
+++ new/usr/src/tools/cw/cw.c	Mon Aug 13 00:30:31 2018
@@ -1221,6 +1221,10 @@
 					newae(ctx->i_ae, "-std=gnu89");
 					break;
 				}
+				if (strncmp(arg, "-xc11=%all", 10) == 0) {
+					newae(ctx->i_ae, "-std=gnu11");
+					break;
+				}
 				if (strncmp(arg, "-xchip=", 7) == 0) {
 					xlate(ctx->i_ae, arg + 7, xchip_tbl);
 					break;
